VULKAN_HPP_NAMESPACE::BindImagePlaneMemoryInfo Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| BindImagePlaneMemoryInfo (ImageAspectFlagBits planeAspect_=ImageAspectFlagBits::eColor)
| BindImagePlaneMemoryInfo (VkBindImagePlaneMemoryInfo const &rhs)
BindImagePlaneMemoryInfo & | operator= (VkBindImagePlaneMemoryInfo const &rhs)
BindImagePlaneMemoryInfo & | setPNext (const void *pNext_)
BindImagePlaneMemoryInfo & | setPlaneAspect (ImageAspectFlagBits planeAspect_)
| operator VkBindImagePlaneMemoryInfo const & () const
| operator VkBindImagePlaneMemoryInfo & ()
bool | operator== (BindImagePlaneMemoryInfo const &rhs) const
bool | operator!= (BindImagePlaneMemoryInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
ImageAspectFlagBits | planeAspect

## Private Attributes

StructureType | sType = StructureType::eBindImagePlaneMemoryInfo

## Detailed Description

Definition at line 25759 of file vulkan.hpp.

## Constructor & Destructor Documentation

## BindImagePlaneMemoryInfo() [1/2]

VULKAN_HPP_NAMESPACE::BindImagePlaneMemoryInfo::BindImagePlaneMemoryInfo | ( | ImageAspectFlagBits | planeAspect_ = `ImageAspectFlagBits::eColor` | ) |

inline

Definition at line 25761 of file vulkan.hpp.

: planeAspect( planeAspect_ )
{
}

## BindImagePlaneMemoryInfo() [2/2]

VULKAN_HPP_NAMESPACE::BindImagePlaneMemoryInfo::BindImagePlaneMemoryInfo | ( | VkBindImagePlaneMemoryInfo const & | rhs | ) |

inline

Definition at line 25766 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BindImagePlaneMemoryInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkBindImagePlaneMemoryInfo &()

VULKAN_HPP_NAMESPACE::BindImagePlaneMemoryInfo::operator VkBindImagePlaneMemoryInfo & | ( |  | ) |

inline

Definition at line 25793 of file vulkan.hpp.

{
return *reinterpret_cast<VkBindImagePlaneMemoryInfo*>(this);
}

## operator VkBindImagePlaneMemoryInfo const &()

VULKAN_HPP_NAMESPACE::BindImagePlaneMemoryInfo::operator VkBindImagePlaneMemoryInfo const & | ( |  | ) | const

inline

Definition at line 25788 of file vulkan.hpp.

{
return *reinterpret_cast<const VkBindImagePlaneMemoryInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::BindImagePlaneMemoryInfo::operator!= | ( | BindImagePlaneMemoryInfo const & | rhs | ) | const

inline

Definition at line 25805 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

BindImagePlaneMemoryInfo& VULKAN_HPP_NAMESPACE::BindImagePlaneMemoryInfo::operator= | ( | VkBindImagePlaneMemoryInfo const & | rhs | ) |

inline

Definition at line 25771 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BindImagePlaneMemoryInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::BindImagePlaneMemoryInfo::operator== | ( | BindImagePlaneMemoryInfo const & | rhs | ) | const

inline

Definition at line 25798 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( planeAspect == rhs.planeAspect );
}

References planeAspect, pNext, and sType.

Referenced by operator!=().

## setPlaneAspect()

BindImagePlaneMemoryInfo& VULKAN_HPP_NAMESPACE::BindImagePlaneMemoryInfo::setPlaneAspect | ( | ImageAspectFlagBits | planeAspect_ | ) |

inline

Definition at line 25782 of file vulkan.hpp.

{
planeAspect = planeAspect_;
return *this;
}

References planeAspect.

## setPNext()

BindImagePlaneMemoryInfo& VULKAN_HPP_NAMESPACE::BindImagePlaneMemoryInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 25776 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## planeAspect

ImageAspectFlagBits VULKAN_HPP_NAMESPACE::BindImagePlaneMemoryInfo::planeAspect

Definition at line 25815 of file vulkan.hpp.

Referenced by operator==(), and setPlaneAspect().

## pNext

const void* VULKAN_HPP_NAMESPACE::BindImagePlaneMemoryInfo::pNext = nullptr

Definition at line 25814 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::BindImagePlaneMemoryInfo::sType = StructureType::eBindImagePlaneMemoryInfo

private

Definition at line 25811 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::BindImagePlaneMemoryInfo::pNext
const void * pNext
Definition: vulkan.hpp:25814
VkBindImagePlaneMemoryInfo
Definition: vulkan_core.h:4323
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::BindImagePlaneMemoryInfo::sType
StructureType sType
Definition: vulkan.hpp:25811
VULKAN_HPP_NAMESPACE::BindImagePlaneMemoryInfo::planeAspect
ImageAspectFlagBits planeAspect
Definition: vulkan.hpp:25815
VULKAN_HPP_NAMESPACE::BindImagePlaneMemoryInfo::operator==
bool operator==(BindImagePlaneMemoryInfo const &rhs) const
Definition: vulkan.hpp:25798
VULKAN_HPP_NAMESPACE::BindImagePlaneMemoryInfo::BindImagePlaneMemoryInfo
BindImagePlaneMemoryInfo(ImageAspectFlagBits planeAspect_=ImageAspectFlagBits::eColor)
Definition: vulkan.hpp:25761